Get Logged In User Details

Get Logged In User Details
Get the currently logged in user's detailed information.

Use this API instead:

  • /oidc/userinfo

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member ✔️
Service Account (Whitelisted Client) ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/loggedin/user/details
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserDetailsResponse of type(s) */*
{
    "isVmwareIdUser": false
}

401

The user is not authorized to use the API.

Returns UserDetailsResponse of type(s) */*
{
    "isVmwareIdUser": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/loggedin/user/details